Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Class CompoundCursorSpecification

    java.lang.Object
      |
      +--oracle.olapi.data.source.CursorSpecification
            |
            +--oracle.olapi.data.source.CompoundCursorSpecification

public final class CompoundCursorSpecification
extends CursorSpecification
implements CompoundCursorInfoSpecification

A `CursorSpecification` for a `Source` that has one or more outputs. A `CompoundCursorSpecification` has child `CursorSpecification` objects. It always has a base `ValueCursorSpecification` for the values of the elements of the `Source`. It also has a `CursorSpecification` for each of the outputs of the `Source`. With methods of a `CompoundCursorSpecification`, an application can get its base `ValueCursorSpecification` and the outputs.

With other methods, an application can accept a `CursorSpecificationVisitor` or specify that the default fetch size be set on the children of the `CompoundCursorSpecification`. The fetch size is the number of elements that a `Cursor` retrieves during a single fetch from the data store. If a `CursorSpecification` is set to specify the fetch size for a `Cursor`, then an application can specify the value of the fetch size by calling the `setFetchSize` method on the `Cursor`.

Method Summary
`java.lang.Object` | `acceptVisitor(CursorSpecificationVisitor visitor, java.lang.Object context)` Calls the `visitCompoundCursorSpecification` method of the specified `CursorSpecificationVisitor` and passes that method this `CompoundCursorSpecification` and the specified `context` object.
`java.util.List` | `getOutputs()` Gets a `List` whose values are the outputs of this `CompoundCursorSpecification`.
`ValueCursorInfoSpecification` | `getValue()` Gets the `ValueCursorSpecification` for this `CompoundCursorSpecification`.
`ValueCursorSpecification` | `getValueCursorSpecification()` Gets the base `ValueCursorSpecification`, which is the `CursorSpecification` for the base `ValueCursor`, which has the values of the `Source` for the `CompoundCursorSpecification`.
`void` | `specifyDefaultFetchSizeOnChildren()` Specifies that the default fetch size be set on the child `CursorSpecification` objects of the `CompoundCursorSpecification`.
`void` | `specifyDefaultFetchSizeOnChildren(int defaultFetchSize)` Specifies that the default fetch size be set on the child `CursorSpecification` objects of the `CompoundCursorSpecification` and supplies an initial value for the fetch size.

Methods inherited from class oracle.olapi.data.source.CursorSpecification
`getDefaultFetchSize, getSource, getTransaction, isExtentCalculationSpecified, isParentEndCalculationSpecified, isParentStartCalculationSpecified, setDefaultFetchSize, setExtentCalculationSpecified, setParentEndCalculationSpecified, setParentStartCalculationSpecified, setTransaction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public final java.lang.Object acceptVisitor(CursorSpecificationVisitor visitor,
                                                java.lang.Object context)

  Calls the `visitCompoundCursorSpecification` method of the specified `CursorSpecificationVisitor` and passes that method this `CompoundCursorSpecification` and the specified `context` object.
  Overrides:
    acceptVisitor in class CursorSpecification
  Parameters:
    `visitor` - A `CursorSpecificationVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitCompoundCursorSpecification` method.

### getOutputs

    public final java.util.List getOutputs()

  Gets a `List` whose values are the outputs of this `CompoundCursorSpecification`.
  Specified by:
    getOutputs in interface CompoundCursorInfoSpecification
  Returns:
    A `List` with the outputs of the `CompoundCursorSpecification`.

### getValueCursorSpecification

    public final ValueCursorSpecification getValueCursorSpecification()

  Gets the base `ValueCursorSpecification`, which is the `CursorSpecification` for the base `ValueCursor`, which has the values of the `Source` for the `CompoundCursorSpecification`.
  Returns:
    The base `ValueCursorSpecification` for the `CompoundCursorSpecification`.

### getValue

    public final ValueCursorInfoSpecification getValue()

  Gets the `ValueCursorSpecification` for this `CompoundCursorSpecification`.
  Specified by:
    getValue in interface CompoundCursorInfoSpecification
  Returns:
    The `ValueCursorSpecification` for this `CompoundCursorSpecification`.

### specifyDefaultFetchSizeOnChildren

    public final void specifyDefaultFetchSizeOnChildren()

  Specifies that the default fetch size be set on the child `CursorSpecification` objects of the `CompoundCursorSpecification`.

### specifyDefaultFetchSizeOnChildren

    public final void specifyDefaultFetchSizeOnChildren(int defaultFetchSize)

  Specifies that the default fetch size be set on the child `CursorSpecification` objects of the `CompoundCursorSpecification` and supplies an initial value for the fetch size.
  Parameters:
    `defaultFetchSize` - The initial fetch size to set for the child `CursorSpecification` objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.